# Ds\Queue::push

(PECL ds >= 1.0.0)

Ds\Queue::push — Añade un elemento a la cola

### Descripción

public Ds\Queue::push(mixed `...$values`): void

Añade `valores` en la cola.

### Parámetros

`values`

  Los valores a añadir a la cola.

### Valores devueltos

No devuelve ningún valor.

### Ejemplos

Ejemplo #1 Ejemplo de Ds\Queue::push()

`<?php
$queue = new \Ds\Queue();
$queue->push("a");
$queue->push("b");
$queue->push("c", "d");
$queue->push(...["e", "f"]);
print_r($queue);
?>`

El resultado del ejemplo sería algo similar a:

    Ds\Queue Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )